/***********************************************************************
 * Header...: cgivar.h                                                 *
 * Zweck....: Analyse von CGI-Variablen                                *
 * Author...: Rudolf Weber Informatikberatung Ravensburg               *
 * Copyright: 1997                                                     *
 * Bedingungen wie GNU_LIBRARY_LICENCE,                                *
 * aber bei kommerziellen Verwendern Anteil an Verkaufserls erwartet  *
 ***********************************************************************/
#ifndef CGIVAR_H
#define CGIVAR_H
#include"varmap.h"

inline char hex(char z)
{
    if('0' <= z && z <= '9') return z-'0';
    if('a' <= z && z <= 'f') return z-'a'+10;
    if('A' <= z && z <= 'F') return z-'A'+10;
    return 0;
}

int aufspalt(Varmap *erg,char *puffer,int inhaltlang);
const int GCV_ENVVARS=0x1; // Environmentvariablen werden auch Variablen
const int GCV_DEBUGL1=0x2;
const int GCV_DEBUGL2=0x4;
const int GCV_DUMP=0x8;
const int GCV_DEBUGALL=GCV_DEBUGL1|GCV_DEBUGL2;
int getcgienv(Varmap *erg,char **env,int options);
void probeausgabe(Varmap *tab); // Listet Variablen in Varmap in HTML auf
#endif
 
