/************************************************************************
 * Headerfile...: cgivarlist.h                                          *
 * Zweck........: Klasse varlist spaltet  die ber das Cgi-gemachte     *
 *                Eingabe in Variablen auf.                             *
 ************************************************************************/
#ifndef CGIVARLIST_H
#define CGIVARLIST_H


class Cgivarlist
{
  struct list_el
  {
    char *name;
    char *wert;
    struct list_el* next;
    list_el(char *n,char *w) { name=strdup(n);wert=strdup(w); next=NULL;}
    ~list_el() { free(name);free(wert); }
  };
  list_el *wurzel;
  
protected:
  int aufspalt(char *puffer,int initlang);  
public:
  Cgivarlist() { wurzel=NULL; }
  void init(char **env);
  void ausgabe();  
  char *operator[](char *name);
  void set(char *name,char *val);
  void clearall();
  void clear(char *name);
};

inline char hex(char z)
{
    if('0' <= z && z <= '9') return z-'0';
    if('a' <= z && z <= 'f') return z-'a'+10;
    if('A' <= z && z <= 'F') return z-'A'+10;
    return 0;
}

#endif


