
#include<unistd.h>
#include<sys/types.h>
#include<sys/time.h>
#include<sys/file.h>
#include<time.h>
#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include"funktionen.h"

char *heute()
{
  struct timeval tv;
  time_t lt;
  char *ret = new char[12];
  if(ret==NULL) return ret;

  gettimeofday(&tv,NULL);
  lt=tv.tv_sec;
  strftime(ret,11,"%d.%m.%Y",localtime(&lt));

  return ret;
}

char *getuniqueid(char *merkf)
{
  char puffer[30];
  int id;
  int r,fd;

  fd=open(merkf,O_RDWR);
  if(fd<0) return (char *)0;
  while((r=flock(fd,LOCK_EX))==-1 && errno == EWOULDBLOCK)
  {
    sleep(1);
  }
  if(r<0) goto unique_err;
  if(read(fd,puffer,30)<=0) goto unique_err;
  id=atoi(puffer);
  id++;
  sprintf(puffer,"%u",id);
  r = strlen(puffer);
  lseek(fd,0,SEEK_SET);
  if(write(fd,puffer,r) != r) goto unique_err;
  flock(fd,LOCK_UN);
  return strdup(puffer);
unique_err:
  flock(fd,LOCK_UN);
  return (char *)0;
}

#ifdef TEST_FUNC
#include<iostream.h>
main()
{
  cout << heute() << endl;
  cout << getuniqueid("hurz") << endl;
}
#endif









